---
title: 'Get Started'
navigation: false
layout: page
---

::block-hero
---
cta:
- Get Started
- /guide/getting-started/quick-start
secondary:
- Open on GitHub and give a star →
- https://github.com/CodeDredd/pinia-orm
snippet: yarn add pinia-orm
---

#title
Pinia [ORM]{ .text-primary-500 }

#description
The Pinia plugin to enable Object-Relational Mapping access to the Pinia Store.

::

::card-grid
#title
Powerful Features

#default
  ::card{icon=simple-icons:vuejs}
  #title
  Based on vuex-orm-next
  #description 
  If your used to vuex-orm you will get fast used to pinia-orm
  ::

  ::card{icon=ph:floppy-disk}
  #title
  Small
  #description
  Package has been optimized to be around 10kb (gzip & minified)
  ::
  
  ::card{icon=ph:file-ts}
  #title
  Type safe
  #description
  Everything written in typescript
  ::

  ::card{icon=simple-icons:nuxtdotjs}
  #title
  Nuxt support
  #description
  With the nuxt package there is nuxt support out of the box
  ::

  ::card{icon=simple-icons:laravel}
  #title
  Laravel syntax
  #description
  The methods naming of models & queries is oriented from laravel.
  ::

  ::card{icon=fluent:arrow-split-16-regular}
  #title
  Bundle Splitting
  #description
  Add only the code you need. Pinia ORM splits in different bundles like "decorators", "helpers", "casts", ...
  ::
