---
title: 'Configuration'
description: 'Possible options for createORM'
icon: heroicons-outline:adjustments
---

# Configuration

## `model`

| Option     | Default | Description                                             |
|------------|:-------:|:--------------------------------------------------------|
| `withMeta` | `false` | Activates the `_meta` field to be saved for every model |
| `visible`  |  `[*]`  | Sets default visible fields for every model             |
| `hidden`   |  `[]`   | Sets default hidden fields for every model              |

## `cache`

| Option     |   Default   | Description                                               |
|------------|:-----------:|:----------------------------------------------------------|
| `provider` | `Weakcache` | Defines which cache provider should be used               |
| `shared`   |   `true`    | Activates the cache to be shared between all repositories |

## Typescript Declarations

````ts
export interface ModelConfigOptions {
  withMeta?: boolean
  hidden?: string[]
  visible?: string[]
}

export interface CacheConfigOptions {
  shared?: boolean
  provider?: typeof WeakCache<string, Model[]>
}

export interface InstallOptions {
  model?: ModelConfigOptions
  cache?: CacheConfigOptions | boolean
}
const options: InstallOptions
````
